
{
  services.swayidle = {
    enable = true;

    events = [
      {
        event = "lock";
        command = "/home/emenel/.local/bin/session-lock";
      }

      {
        event = "after-resume";
        command = "/home/emenel/.local/bin/on-unlock";
      }
    ];

    timeouts = [
      {
        timeout = 60;
        command = "/home/emenel/.local/bin/dim-all-monitors";
      }

      # battery timers
      {
        timeout = 90;
        command = "systemd-ac-power || loginctl lock-session";
      }
      {
        timeout = 120;
        command = "systemd-ac-power || /home/emenel/.local/bin/lock-power-off-monitors";
      }
      {
        timeout = 180;
        command = "systemd-ac-power || /home/emenel/.local/bin/lock-suspend";
      }

      # ac power timers
      {
        timeout = 180;
        command = "systemd-ac-power && loginctl lock-session";
      }

      {
        timeout = 240;
        command = "systemd-ac-power || /home/emenel/.local/bin/lock-power-off-monitors";
      }

      {
        timeout = 600;
        command = "systemd-ac-power && /home/emenel/.local/bin/lock-suspend";
      }
    ];

  };


  programs.swaylock = {
    enable = true;
    settings = {
      color = "808080";
      font-size = 24;
      indicator-idle-visible = true;
      indicator-radius = 100;
      line-color = "ffffff";
      show-failed-attempts = true;
    };
  };
}
